package com.sooka.sponest.monitor.meiqiguan.gps.mapper;

import com.sooka.sponest.monitor.aidevicedept.domain.CenterdataTAidevicedept;
import com.sooka.sponest.monitor.meiqiguan.gps.domain.GasTankDevices;
import com.sooka.sponest.monitor.meiqiguan.gps.domain.vo.GasTankDevicesVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 【煤气罐设备信息】Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-09
 */
public interface GasTankDevicesMapper {

    /**
     * 查询煤气罐设备信息
     *
     * @param id 煤气罐设备信息主键
     * @return 煤气罐设备信息
     */
    public GasTankDevices selectGasTankDevicesById(Long id);

    /**
     * 查询煤气罐设备信息列表
     *
     * @param gasTankDevices 煤气罐设备信息
     * @return 煤气罐设备信息集合
     */
    public List<GasTankDevices> selectGasTankDevicesList(GasTankDevices gasTankDevices);

    public List<GasTankDevices> selectGasTankDevicesListDept(@Param("gps") List<String> gps);

    /**
     * 新增煤气罐设备信息
     *
     * @param gasTankDevices 煤气罐设备信息
     * @return 结果
     */
    public int insertGasTankDevices(GasTankDevices gasTankDevices);

    /**
     * 修改煤气罐设备信息
     *
     * @param gasTankDevices 煤气罐设备信息
     * @return 结果
     */
    public int updateGasTankDevices(GasTankDevices gasTankDevices);

    /**
     * 删除煤气罐设备信息
     *
     * @param id 煤气罐设备信息主键
     * @return 结果
     */
    public int deleteGasTankDevicesById(Long id);

    /**
     * 批量删除煤气罐设备信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGasTankDevicesByIds(Long[] ids);


    List<GasTankDevicesVo> selectGasTankDevicesListAll(GasTankDevices gasTankDevices);

    List<GasTankDevices> selectGasTankDevicesNewEndTime();
}
